江南大哥,运行springside4的quick-start.bat时出错,帮忙解决下,3Q

hulj 发布于 2012/10/31 15:22
阅读 1K+
收藏 0

Linux基金会开源软件大学开源技术公开课即将上线,Kubernetes1.19实战讲解!>>>

 Failed to execute goal on project springside-test: Could not resolve dependencies for project org.springside:springside-test🏺4.0.0.GA-SNAPSHOT: The following artifacts could not be resolve
springframework.data:spring-data-jpa🏺1.2.0.RC1, spy:spymemcached🏺2.8.1: Failure to find org.springframework.data:spring-data-jpa🏺1.2.0.RC1 in http://172.25.100.206:8081/nexus/conten
s/public/ was cached in the local repository, resolution will not be reattempted until the update interval of nexus has elapsed or updates are forced -> [Help 1]
加载中
0
山老猫
山老猫
网络问题,下包失败
山老猫
山老猫
@hulj 看了一下,这个在你下的的源码包里面,运行quick-start.bat会自动安装到本地仓库。
hulj
hulj
3Q,貌似无此包吧,我再看看
0
刘少
刘少
把http://172.25.100.206:8081/nexus/conten...的maven配置暂时去掉,从spring的repo下载,应该没问题
hulj
hulj
感谢回答,嗯,现在又有了问题,启动showcase是报一个类找不到
0
guodefu909
guodefu909

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-surefire-plugin:2.
16:test (default-test) on project springside-core: There are test failures.

这是什么原因呢?


0
guodefu909
guodefu909

[ERROR] /F:/springside4-4.1.0.GA/modules/core/src/main/java/org/springside/modul
es/mapper/JsonMapper.java:[141,74] F:\springside4-4.1.0.GA\modules\core\src\main
\java\org\springside\modules\mapper\JsonMapper.java:141: 无法确定 <T>T 的类型参
数;对于上限为 T,java.lang.Object 的类型变量 T,不存在唯一最大实例

返回顶部
顶部